2002-2005
Sven Ehrke
Sven
Ehrke
ericb@gobosoft.com 7 July 2005

# available

## Description

Checks if specified resource is available and sets the value of a variable depending on the result.

## Parameters

resource

  Description: Name of a resource. Currently files and directories are supported

  Domain: Valid filename/directoryname

  Default: -

variable

  Description: variable which reflects the result

  Domain: valid variable name

  Default: -

true_value

  Description: result value of positive comparison

  Domain: -

  Default: true

false_value

  Description: result value of negative comparison

  Domain: -

  Default: false

## RNG Specification

      <define name="available">
        <element name="available">
          <ref name="dir_if_unless"/>
          <attribute name="resource"/>
          <attribute name="variable"/>
          <optional>
            <attribute name="true_value"/>
          </optional>
          <optional>
            <attribute name="false_value"/>
          </optional>
        </element>
      </define>

## Examples

      <available resource="${GOBO}/readme.txt" variable="available"/>